## name.milesparker.epi.plague
Class FleaStyle2DColorProvider

    java.lang.Object
      name.milesparker.epi.plague.FleaStyle2DColorProvider

All Implemented Interfaces:
  org.eclipse.jface.viewers.IColorProvider

    public class FleaStyle2DColorProvider

extends java.lang.Object
implements org.eclipse.jface.viewers.IColorProvider

Flea Style 2D Java Implementation. Generated by AMF for model: EpidemicPlague.metaabm in project: org.eclipse.amp.amf.examples.escape

Constructor Summary
`FleaStyle2DColorProvider()`

Method Summary
`org.eclipse.swt.graphics.Color` `getBackground(java.lang.Object object)` Provides a background color for the given Flea.
`org.eclipse.swt.graphics.Color` `getColor(java.lang.Object object, boolean fill)` Provides a color for Flea based on wether we want to fill or not.
`static org.eclipse.jface.viewers.IColorProvider` `getDefault()`
`org.eclipse.swt.graphics.Color` `getForeground(java.lang.Object object)` Provides a foreground color for the given Flea.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FleaStyle2DColorProvider

    public FleaStyle2DColorProvider()

Method Detail

### getColor

    public org.eclipse.swt.graphics.Color getColor(java.lang.Object object,
                                                   boolean fill)

  Provides a color for Flea based on wether we want to fill or not.

  Parameters:
    `object` - the agent
  Returns:
    the foreground color for the element, or `null` to use the default foreground color

### getForeground

    public org.eclipse.swt.graphics.Color getForeground(java.lang.Object object)

  Provides a foreground color for the given Flea.

  Specified by:
    `getForeground` in interface `org.eclipse.jface.viewers.IColorProvider`
  Parameters:
    `object` - the agent
  Returns:
    the foreground color for the element, or `null` to use the default foreground color

### getBackground

    public org.eclipse.swt.graphics.Color getBackground(java.lang.Object object)

  Provides a background color for the given Flea.

  Specified by:
    `getBackground` in interface `org.eclipse.jface.viewers.IColorProvider`
  Parameters:
    `object` - the agent
  Returns:
    the background color for the element, or `null` to use the default background color

### getDefault

    public static org.eclipse.jface.viewers.IColorProvider getDefault()